Bug 1371404 - Misleading error messages on brick logs while creating directory (mkdir) on fuse mount
Summary: Misleading error messages on brick logs while creating directory (mkdir) on f...
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: locks
Version: 3.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ashish Pandey
QA Contact:
URL:
Whiteboard:
Depends On: 1231224 1373396
Blocks: 1254934 1254942 1361519
TreeView+ depends on / blocked
 
Reported: 2016-08-30 07:14 UTC by Ashish Pandey
Modified: 2017-11-07 10:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1231224
Environment:
Last Closed: 2017-11-07 10:41:28 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Ashish Pandey 2016-08-30 07:14:43 UTC
+++ This bug was initially created as a clone of Bug #1231224 +++

Description of problem:
Error messages are getting logged on brick logs while creating directories on fuse mount for disperse volumes.

Version-Release number of selected component (if applicable):

[root@aspandey gfsa]# gluster --version
glusterfs 3.8dev built on Jun 12 2015 18:03:10
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.


How reproducible:
100%

Steps to Reproduce:
1. Create disperse volume 1 x (4+2)
2. mount as glusterfs on a mount point /mnt
3. create a directory on mount point i.e. /mnt

See the brick logs. Following error messages are present -
 
[2015-06-12 12:35:14.351684] I [MSGID: 115029] [server-handshake.c:588:server_setvolume] 0-gfs-server: accepted client from aspandey-8997-2015/06/12-12:35:14:330840-gfs-client-0-0-0 (version: 3.8dev)
[2015-06-12 12:35:23.789708] E [posix-helpers.c:1087:posix_handle_pair] 0-gfs-posix: /brick/gluster/rep/A1/dir: key:glusterfs.inodelk-dom-count flags: 1 length:15 error:Operation not supported
[2015-06-12 12:35:23.789731] E [posix.c:1386:posix_mkdir] 0-gfs-posix: setting xattrs on /brick/gluster/rep/A1/dir failed (Operation not supported)


Actual results:
Misleading error messages in brick logs.

Expected results:
There should not be any error message for successful fop's for example directory creation (mkdir).

Additional info:

--- Additional comment from Ashish Pandey on 2015-06-12 08:56:04 EDT ---

http://review.gluster.org/11204

--- Additional comment from Anand Avati on 2015-06-16 01:49:09 EDT ---

REVIEW: http://review.gluster.org/11204 ( locks: Filter virtual xattrs in locks for all the fops) posted (#2) for review on master by Ashish Pandey (aspandey@redhat.com)

--- Additional comment from Anand Avati on 2015-06-18 06:36:15 EDT ---

REVIEW: http://review.gluster.org/11204 ( locks: Filter virtual xattrs in locks for all the fops) posted (#3) for review on master by Ashish Pandey (aspandey@redhat.com)

--- Additional comment from Anand Avati on 2015-06-22 02:08:23 EDT ---

REVIEW: http://review.gluster.org/11204 ( locks: Filter virtual xattrs in locks for all the fops) posted (#4) for review on master by Ashish Pandey (aspandey@redhat.com)

--- Additional comment from Anand Avati on 2015-08-19 04:06:12 EDT ---

REVIEW: http://review.gluster.org/11204 ( locks: Filter virtual xattrs in locks for all the fops) posted (#5) for review on master by Ashish Pandey (aspandey@redhat.com)

--- Additional comment from Anand Avati on 2015-08-19 05:23:40 EDT ---

REVIEW: http://review.gluster.org/11204 ( locks: Filter virtual xattrs in locks for all the fops) posted (#6) for review on master by Ashish Pandey (aspandey@redhat.com)

--- Additional comment from Anand Avati on 2015-08-19 05:43:38 EDT ---

REVIEW: http://review.gluster.org/11957 ( locks: Filter virtual xattrs in locks for all the fops) posted (#1) for review on release-3.7 by Ashish Pandey (aspandey@redhat.com)

--- Additional comment from Vijay Bellur on 2016-01-20 05:24:42 EST ---

REVIEW: http://review.gluster.org/13266 (cluster/ec: Use correct log levels) posted (#1) for review on master by Ashish Pandey (aspandey@redhat.com)

--- Additional comment from Vijay Bellur on 2016-01-27 06:03:00 EST ---

REVIEW: http://review.gluster.org/13266 (cluster/ec: Use correct log levels) posted (#2) for review on master by Ashish Pandey (aspandey@redhat.com)

--- Additional comment from Vijay Bellur on 2016-01-28 06:49:12 EST ---

REVIEW: http://review.gluster.org/13266 (cluster/ec: Use correct log levels) posted (#3) for review on master by Ashish Pandey (aspandey@redhat.com)

--- Additional comment from Mike McCune on 2016-03-28 18:16:42 EDT ---

This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

--- Additional comment from Vijay Bellur on 2016-05-24 01:26:58 EDT ---

REVIEW: http://review.gluster.org/13266 (cluster/ec: Use correct log levels) posted (#4) for review on master by Ashish Pandey (aspandey@redhat.com)

--- Additional comment from Vijay Bellur on 2016-05-24 08:41:18 EDT ---

COMMIT: http://review.gluster.org/13266 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 02b2750ecc35f88c3262015b401dda962381f9da
Author: Ashish Pandey <aspandey@redhat.com>
Date:   Wed Jan 20 14:30:08 2016 +0530

    cluster/ec: Use correct log levels
    
    Problem :
    Misleading messages are getting logged in mount logs
    and bricks log.
    "Mismatching xdata" and "Heal failed" are getting logged
    
    Solution :
    Reduce the level of logs from INFO, WARNING and NOTICE
    to DEBUG level wherever applicable OR use fop_log_level
    to get proper log level.
    
    Change-Id: Ia824c71e75ab683d3cb8949e1966ea09c9ccce72
    BUG: 1231224
    Signed-off-by: Ashish Pandey <aspandey@redhat.com>
    Reviewed-on: http://review.gluster.org/13266
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Xavier Hernandez <xhernandez@datalab.es>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

--- Additional comment from Worker Ant on 2016-08-25 06:21:26 EDT ---

REVIEW: http://review.gluster.org/11204 (locks: Filter virtual xattrs in locks for all the fops) posted (#7) for review on master by Ashish Pandey (aspandey@redhat.com)

--- Additional comment from Worker Ant on 2016-08-26 05:13:56 EDT ---

REVIEW: http://review.gluster.org/11204 (feature/locks: Implement fops in locks Translator) posted (#8) for review on master by Ashish Pandey (aspandey@redhat.com)

--- Additional comment from Worker Ant on 2016-08-29 13:57:30 EDT ---

REVIEW: http://review.gluster.org/11204 (feature/locks: Implement fops in locks Translator) posted (#9) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 1 Worker Ant 2016-09-06 07:50:39 UTC
REVIEW: http://review.gluster.org/15407 (feature/locks: Implement fops in locks Translator) posted (#1) for review on release-3.8 by Ashish Pandey (aspandey@redhat.com)

Comment 2 Niels de Vos 2016-09-12 05:39:24 UTC
All 3.8.x bugs are now reported against version 3.8 (without .x). For more information, see http://www.gluster.org/pipermail/gluster-devel/2016-September/050859.html

Comment 3 Worker Ant 2016-10-24 07:08:56 UTC
REVIEW: http://review.gluster.org/15407 (feature/locks: Implement fops in locks Translator) posted (#2) for review on release-3.8 by Ashish Pandey (aspandey@redhat.com)

Comment 4 Niels de Vos 2017-11-07 10:41:28 UTC
This bug is getting closed because the 3.8 version is marked End-Of-Life. There will be no further updates to this version. Please open a new bug against a version that still receives bugfixes if you are still facing this issue in a more current release.


Note You need to log in before you can comment on or make changes to this bug.